Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RVALUE Struct Reference

## Data Fields
union {
struct {
VALUE flags
struct RVALUE * next
} free
struct RBasic basic
struct RObject object
struct RClass klass
struct RFloat flonum
struct RString string
struct RArray array
struct RRegexp regexp
struct RHash hash
struct RData data
struct RTypedData typeddata
struct RStruct rstruct
struct RBignum bignum
struct RFile file
struct RNode node
struct RMatch match
struct RRational rational
struct RComplex complex
struct {
struct RBasic basic
VALUE v1
VALUE v2
VALUE v3
} values
} | as

## Detailed Description

Definition at line 330 of file gc.c.

## Field Documentation

struct RArray RVALUE::array

Definition at line 341 of file gc.c.

union { ... } RVALUE::as

Referenced by count_objects(), finalize_list(), gc_before_heap_sweep(), gc_page_sweep(), heap_get_freeobj(), heap_page_add_freeobj(), internal_object_p(), make_deferred(), and make_io_deferred().

struct RBasic RVALUE::basic

Definition at line 336 of file gc.c.

Referenced by count_objects(), gc_page_sweep(), internal_object_p(), and make_deferred().

struct RBignum RVALUE::bignum

Definition at line 347 of file gc.c.

struct RComplex RVALUE::complex

Definition at line 352 of file gc.c.

struct RData RVALUE::data

Definition at line 344 of file gc.c.

Referenced by make_io_deferred().

struct RFile RVALUE::file

Definition at line 348 of file gc.c.

Referenced by make_io_deferred().

VALUE RVALUE::flags

Definition at line 333 of file gc.c.

struct RFloat RVALUE::flonum

Definition at line 339 of file gc.c.

struct { ... } RVALUE::free

Referenced by finalize_list(), gc_before_heap_sweep(), heap_get_freeobj(), heap_page_add_freeobj(), and make_deferred().

struct RHash RVALUE::hash

Definition at line 343 of file gc.c.

struct RClass RVALUE::klass

Definition at line 338 of file gc.c.

struct RMatch RVALUE::match

Definition at line 350 of file gc.c.

struct RVALUE* RVALUE::next

Definition at line 334 of file gc.c.

struct RNode RVALUE::node

Definition at line 349 of file gc.c.

struct RObject RVALUE::object

Definition at line 337 of file gc.c.

struct RRational RVALUE::rational

Definition at line 351 of file gc.c.

struct RRegexp RVALUE::regexp

Definition at line 342 of file gc.c.

struct RStruct RVALUE::rstruct

Definition at line 346 of file gc.c.

struct RString RVALUE::string

Definition at line 340 of file gc.c.

struct RTypedData RVALUE::typeddata

Definition at line 345 of file gc.c.

VALUE RVALUE::v1

Definition at line 355 of file gc.c.

VALUE RVALUE::v2

Definition at line 356 of file gc.c.

VALUE RVALUE::v3

Definition at line 357 of file gc.c.

struct { ... } RVALUE::values

The documentation for this struct was generated from the following file:

- gc.c